Software: Apache/2.2.3 (CentOS). PHP/5.1.6 uname -a: Linux mx-ll-110-164-51-230.static.3bb.co.th 2.6.18-194.el5PAE #1 SMP Fri Apr 2 15:37:44 uid=48(apache) gid=48(apache) groups=48(apache) Safe-mode: OFF (not secure) /etc/rc.d/init.d/ drwxr-xr-x |
Viewing file: avahi-dnsconfd (1.78 KB) -rwxr-xr-x Select action/file-type: (+) | (+) | (+) | Code (+) | Session (+) | (+) | SDB (+) | (+) | (+) | (+) | (+) | (+) | #! /bin/sh # # avahi-daemon: Starts the Avahi dns configuration daemon # # chkconfig: - 98 02 # description: avahi-dnsconfd connects to a running avahi-daemon and runs the script \ # /etc/avahi/dnsconf.action for each unicast DNS server that is announced \ # on the local LAN. This is useful for configuring unicast DNS servers in \ # a DHCP-like fashion with mDNS. # processname: avahi-dnsconfd # config: OTHER_AVAHI_OPTS="" # Source function library. . /etc/init.d/functions . /etc/sysconfig/network # Check that networking is configured. [ ${NETWORKING} = "no" ] && exit 0 AVAHI_BIN=/usr/sbin/avahi-dnsconfd test -x $AVAHI_BIN || exit 5 LOCKFILE=/var/lock/subsys/avahi-dnsconfd start() { echo -n $"Starting Avahi DNS daemon... " $AVAHI_BIN -D RETVAL=$? if [ $RETVAL = 0 ]; then touch $LOCKFILE success $"$base startup" else failure $"$base startup" fi echo return $RETVAL } stop() { echo -n $"Shutting down Avahi DNS daemon: " $AVAHI_BIN -k RETVAL=$? [ $RETVAL = 0 ] && success $"$base shutdown" || failure $"$base shutdown" rm -f $LOCKFILE echo return $RETVAL } reload() { echo -n $"Reloading Avahi DNS daemon... " $AVAHI_BIN -r RETVAL=$? [ $RETVAL = 0 ] && success $"$base startup" || failure $"$base startup" echo return $RETVAL } restart() { stop start } RETVAL=0 # See how we were called. case "$1" in start) start ;; stop) stop ;; status) $AVAHI_BIN -c RETVAL=$? [ $RETVAL = 0 ] && echo $"Avahi DNS daemon is running" || echo $"Avahi DNS daemon is not running" ;; restart) restart ;; reload) reload ;; condrestart) if [ -f $LOCKFILE ]; then restart fi ;; *) echo $"Usage: $0 {start|stop|status|restart|condrestart}" exit 1 ;; esac exit $RETVAL |
:: Command execute :: | |
:: Shadow's tricks :D :: | |
Useful Commands
|
:: Preddy's tricks :D :: | |
Php Safe-Mode Bypass (Read Files)
|
--[ c999shell v. 1.0 pre-release build #16 Modded by Shadow & Preddy | RootShell Security Group | r57 c99 shell | Generation time: 0.0166 ]-- |